# `Stripe.Resources.Terminal.Reader.Action.CollectInputs.Inputs`
[🔗](https://github.com/jeffhuen/tiger_stripe/blob/main/lib/stripe/resources/terminal/reader.ex#L119)

Nested struct within the parent resource.

# `t`

```elixir
@type t() :: %Stripe.Resources.Terminal.Reader.Action.CollectInputs.Inputs{
  custom_text:
    Stripe.Resources.Terminal.Reader.Action.CollectInputs.Inputs.CustomText.t()
    | nil,
  email:
    Stripe.Resources.Terminal.Reader.Action.CollectInputs.Inputs.Email.t() | nil,
  numeric:
    Stripe.Resources.Terminal.Reader.Action.CollectInputs.Inputs.Numeric.t()
    | nil,
  phone:
    Stripe.Resources.Terminal.Reader.Action.CollectInputs.Inputs.Phone.t() | nil,
  required: boolean() | nil,
  selection:
    Stripe.Resources.Terminal.Reader.Action.CollectInputs.Inputs.Selection.t()
    | nil,
  signature:
    Stripe.Resources.Terminal.Reader.Action.CollectInputs.Inputs.Signature.t()
    | nil,
  skipped: boolean() | nil,
  text:
    Stripe.Resources.Terminal.Reader.Action.CollectInputs.Inputs.Text.t() | nil,
  toggles:
    [Stripe.Resources.Terminal.Reader.Action.CollectInputs.Inputs.Toggles.t()]
    | nil,
  type: String.t() | nil
}
```

* `custom_text` - Default text of input being collected. Nullable.
* `email`
* `numeric`
* `phone`
* `required` - Indicate that this input is required, disabling the skip button. Nullable.
* `selection`
* `signature`
* `skipped` - Indicate that this input was skipped by the user.
* `text`
* `toggles` - List of toggles being collected. Values are present if collection is complete. Nullable.
* `type` - Type of input being collected. Possible values: `email`, `numeric`, `phone`, `selection`, `signature`, `text`.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
